# -*- coding: utf-8 -*-
"""
Created on Thu Jun 20 17:35:35 2019

@author: Sayantan Chowdhury
"""
from copy import deepcopy

# 3 Delay Classes
def map3cos_iscx (temp,le):
    new=deepcopy(temp)
    new[temp==le.transform(['AUDIO'])] = 1 # 0. AUDIO - Delay Moderate
    new[temp==le.transform(['CHAT'])] = 0 # 1. CHAT - Delay Sensitive
    new[temp==le.transform(['FTP'])] = 2 # 2. FTP - Delay Tolerant
    new[temp==le.transform(['MAIL'])] = 2 # 3. MAIL - Delay Tolerant
    new[temp==le.transform(['P2P'])] = 2 # 4. P2P - Delay Tolerant
    new[temp==le.transform(['VIDEO'])] = 1 # 5. VIDEO - Delay Moderate
    new[temp==le.transform(['VOIP'])] = 0 # 6. VOIP - Delay Sensitive
    new[temp==le.transform(['WEB'])] = 2 # 7. WEB - Delay Tolerant
    return new

# Binary Version Class Mapping
def map2cos_iscx (temp,le):
    new=deepcopy(temp)
    new[temp==le.transform(['AUDIO'])] = 1 # 0. AUDIO - Delay Tolerant
    new[temp==le.transform(['CHAT'])] = 0 # 1. CHAT - Delay Sensitive
    new[temp==le.transform(['FTP'])] = 1 # 2. FTP - Delay Tolerant
    new[temp==le.transform(['MAIL'])] = 1 # 3. MAIL - Delay Tolerant
    new[temp==le.transform(['P2P'])] = 1 # 4. P2P - Delay Tolerant
    new[temp==le.transform(['VIDEO'])] = 1 # 5. VIDEO - Delay Tolerant
    new[temp==le.transform(['VOIP'])] = 0 # 6. VOIP - Delay Sensitive
    new[temp==le.transform(['WEB'])] = 1 # 7. WEB - Delay Tolerant
    return new


def map2cos_cam (temp,le):
    new=deepcopy(temp)
    new[temp==le.transform(['ATTACK'])] = 0 # 0. ATTACK - Delay Sensitive
    new[temp==le.transform(['BULK'])] = 1 # 1. BULK - Delay Tolerant
    new[temp==le.transform(['DATABASE'])] = 1 # 2. DATABASE - Delay Tolerant
    new[temp==le.transform(['GAMES'])] = 0 # 3. GAME - Delay Sensitive
    new[temp==le.transform(['INTERACTIVE'])] = 0 # 4. INTERACTIVE - Delay Sensitive
    new[temp==le.transform(['MAIL'])] = 1 # 5. MAIL - Delay Tolerant
    new[temp==le.transform(['MULTIMEDIA'])] = 0 # 6. MULTIMEDIA - Delay Sensitive
    new[temp==le.transform(['P2P'])] = 1 # 7. P2P - Delay Tolerant
    new[temp==le.transform(['SERVICES'])] = 1 # 8. SERVICE - Delay Tolerant
    new[temp==le.transform(['WWW'])] = 1 # 9. WWW - Delay Tolerant
    return new